View Issue Details

IDProjectCategoryView StatusLast Update
15978Bug reportsSurvey editingpublic2020-07-30 15:22
Reporterdariatisch Assigned To 
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.10 
Summary15978: Multiple numerical input (Equals sum value: Remaining and Total missing)
Description

Hi,
In version 3 when using the question type "multiple numerical input (type K)" with the input option "Equals sum value" to set the sum total of all predefined answers that will be accepted. The Total value was shown together with the remaining value. This feature helps respondents to calculate and see if they gave a plausible answer. In version 4.1.10+200311 neither total, remaining nor the tip " The sum must equal 10000." appears.
Can you please fix that?
Thanks a lot!

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.10+200311
I will donate to the project if issue is resolvedNo
Browserchrome
Database & DB-VersionVersion 4.1.10+200311
Server OS (if known)
Webserver software & version (if known)
PHP Version?

Activities

dariatisch

dariatisch

2020-03-12 14:13

reporter  

numerical_input.PNG (7,720 bytes)   
numerical_input.PNG (7,720 bytes)   
numerical_input2.PNG (17,617 bytes)   
numerical_input2.PNG (17,617 bytes)   
gabrieljenik

gabrieljenik

2020-07-10 16:01

developer   ~58896

On latest master, while reviewing, Total and Remaning rows where not displayed

gabrieljenik

gabrieljenik

2020-07-21 00:31

developer   ~59008

Last edited: 2020-07-30 11:02

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1493

Functionality was not implemented in RenderMultipleNumerical.php

sushmanadendla

sushmanadendla

2020-07-23 13:37

manager   ~59055

Last edited: 2020-07-30 11:02

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, but I see remaining value there is a small red dot and is not updating any value? @gabrieljenik any idea on this? Please refer the attachment for more details

gabrieljenik

gabrieljenik

2020-07-24 15:17

developer   ~59078

Last edited: 2020-07-30 11:02

Wasn't able to reproduce the "red dot" issue and also very strange on how that was the result.
I mean, not sure how that dot got there.

Can I ask you to retry?

sushmanadendla

sushmanadendla

2020-07-24 16:07

manager   ~59082

Last edited: 2020-07-30 11:02

Even I wonder and the interesting part is I see this message looks weird

15978_RedDot.png (51,791 bytes)   
15978_RedDot.png (51,791 bytes)   
Mazi

Mazi

2020-07-27 11:17

partner   ~59097

Last edited: 2020-07-30 11:02

I can confirm this issue.
@cdorin, please add the fix to the next release.

sushmanadendla

sushmanadendla

2020-07-27 15:29

manager   ~59099

Last edited: 2020-07-30 11:02

View 2 revisions

Sample lsq file added in the survey

gabrieljenik

gabrieljenik

2020-07-28 21:49

developer   ~59141

Last edited: 2020-07-30 11:02

Removed the "Remaining" row when "Equals sum value" is not set. That's how it worked in LS3. Showing that line was causing the red dot.

sushmanadendla

sushmanadendla

2020-07-29 14:20

manager   ~59151

Last edited: 2020-07-30 11:02

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Please refer the attachment for more details

user231563

2020-07-30 10:54

  ~59196

Last edited: 2020-07-30 11:02

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30319

lime_release_bot

lime_release_bot

2020-07-30 15:22

administrator   ~59208

Fixed in Release 4.3.7+200730

Related Changesets

LimeSurvey: master 88151746

2020-07-21 00:30:19

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 15978: Multiple numerical input (Equals sum value: Remaining and Total missing)

Functionality was not implemented in RenderMultipleNumerical.php from LSv3
Affected Issues
15978
mod - application/core/QuestionTypes/MultipleNumericalQuestion/RenderMultipleNumerical.php Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File

LimeSurvey: master ee430fe9

2020-07-28 21:49:08

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 15978: Multiple numerical input (Equals sum value: Remaining and Total missing)

Removed the "Remaining" row when "Equals sum value" is not set. That's how it worked in LS3. Showing that line was causing the red dot.
Affected Issues
15978
mod - application/core/QuestionTypes/MultipleNumericalQuestion/RenderMultipleNumerical.php Diff File

Issue History

Date Modified Username Field Change
2020-03-12 14:13 dariatisch New Issue
2020-03-12 14:13 dariatisch File Added: numerical_input.PNG
2020-03-12 14:13 dariatisch File Added: numerical_input2.PNG
2020-03-12 14:15 ollehar Priority none => normal
2020-03-12 14:15 ollehar Description Updated View Revisions
2020-03-18 12:49 cdorin Status new => confirmed
2020-07-10 16:01 gabrieljenik Note Added: 58896
2020-07-21 00:31 gabrieljenik Note Added: 59008
2020-07-23 13:37 sushmanadendla Note Added: 59055
2020-07-23 13:37 sushmanadendla File Added: 15978_Mutiplenumericalinput_Remainingvalue.png
2020-07-24 15:17 gabrieljenik Note Added: 59078
2020-07-24 16:07 sushmanadendla Note Added: 59082
2020-07-24 16:07 sushmanadendla File Added: 15978_RedDot.png
2020-07-27 11:17 Mazi Note Added: 59097
2020-07-27 15:29 sushmanadendla Note Added: 59099
2020-07-27 15:29 sushmanadendla File Added: Multiple_numerical_input_question_type_example.zip
2020-07-27 16:15 sushmanadendla Note Edited: 59099 View Revisions
2020-07-28 21:49 gabrieljenik Note Added: 59141
2020-07-29 14:20 sushmanadendla Note Added: 59151
2020-07-29 14:20 sushmanadendla File Added: 15978_RemainingColumn_Removed.png
2020-07-30 10:54 user231563 Changeset attached => LimeSurvey master ee430fe9
2020-07-30 10:54 user231563 Changeset attached => LimeSurvey master 88151746
2020-07-30 10:54 user231563 Note Added: 59196
2020-07-30 11:02 swendrich Status confirmed => resolved
2020-07-30 15:22 lime_release_bot Note Added: 59208
2020-07-30 15:22 lime_release_bot Status resolved => closed
2020-07-30 15:22 lime_release_bot Resolution open => fixed